#ifndef morpheo_tools_viewer_bdd_Entity_h
#define morpheo_tools_viewer_bdd_Entity_h

#include <iostream>
#include <list>
#include <iterator>
#include "Tools/Viewer/Bdd/include/ListePorts.h"
#include <qlist.h>

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class Entity:public ListePorts
    {
    private:
      string name;
      string type;
      string comment;
    
      int schema;
    
    
    protected:
      
    public:
      Entity(string n,string t,int l);
      ~Entity();
      string getComment();
      string getName();
      string getType();
      void setComment(string s);
      int getSchema();



    };//end class Entity

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
